Subject: R: 2.6.20 and multipath routing

From: "Giampaolo Tomassoni" <[email-masked]>
Date: Fri, 11 May 2007 00:49:39 +0200

> -----Messaggio originale-----
> Da: Chuck Ebbert [mailto:[email-masked]]
> 
> Giampaolo Tomassoni wrote:
> >
> > 		default  src 1.2.1.6
> > 		        nexthop via 1.2.2.254  dev atm0 weight 1
> > 		        nexthop via 1.1.2.254  dev atm1 weight 1
> >
> 
> When I tried this I found that weight 1 didn't work -- all traffic
> went out one interface until I changed both weights to 50.

I experienced the same until I discovered that I actually had to "modprobe"
multipath_rr first: Nothing did tell me that the mpath algorithm I specified
wasn't available...

> And on ethernet, I had to have static ARP entries or the kernel
> would ARP on one interface, and if it didn't get a reply in less
> than one microsecond it would immediately go to the second
> interface.

Sorry, but I didn't try this over ethernet. I can't help here.

Giampaolo